Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.RMSSecurityCallback Class Reference
Inheritance diagram for foxit.pdf.RMSSecurityCallback:

## Public Member Functions
override PDFDoc.EncryptType | GetSecurityType ()
| Get the encryption type of security callback. More...
Public Member Functions inherited from foxit.pdf.CustomSecurityCallback
virtual global::System.IntPtr | CreateContext (string filter, string sub_filter, string encrypt_info)
| A callback function used to create context for encryption and decryption. More...
virtual System.IntPtr | DecryptData (global::System.IntPtr decryptor, global::System.IntPtr encrypted_data, int encrypted_data_len)
| A callback function used to decrypt the encrypted data. More...
virtual bool | EncryptData (global::System.IntPtr context, int obj_num, int gen_num, global::System.IntPtr src_data, int src_data_len, global::System.IntPtr out_dst_buffer, out int out_dst_buffer_len)
| A callback function used to get encrypted data. More...
virtual string | FinishDecryptor (global::System.IntPtr decryptor)
| A callback function used to finish the decryption. More...
virtual SecurityHandler.CipherType | GetCipher (global::System.IntPtr context)
| A callback function used to get the cipher type. More...
virtual int | GetDecryptedSize (global::System.IntPtr context, int src_data_size)
| A callback function used to get the estimated decrypted data size. More...
virtual int | GetEncryptedSize (global::System.IntPtr context, int obj_num, int gen_num, global::System.IntPtr src_data, int src_data_len)
| A callback function used to get the estimated encrypted size. More...
virtual string | GetEncryptKey (global::System.IntPtr context)
| A callback function used to get the encryption key. More...
virtual int | GetUserPermissions (global::System.IntPtr context, int user_permission)
| A callback function used to get the user permissions. More...
virtual bool | IsOwner (global::System.IntPtr context)
| A callback function used to check if current user is the owner of the PDF document. More...
virtual bool | ReleaseContext (global::System.IntPtr context)
| A callback function used to release the context for encryption and decryption. More...
virtual global::System.IntPtr | StartDecryptor (global::System.IntPtr context, int obj_num, int gen_num)
| A callback function used to start a decryption. More...
virtual bool | UseStandardCryptoMethod (global::System.IntPtr context)
| A callback function to check if to use standard crypto method or custom crypto method. More...
Public Member Functions inherited from foxit.pdf.SecurityCallback
virtual void | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for RMS decryption and encryption. If user wants to use RMS security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register the RMS security callback object to Foxit PDF SDK by function common.Library.RegisterSecurityCallback with filter "MicrosoftIRMServices" or "FoxitRMS". Function common.Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ GetSecurityType()

override PDFDoc.EncryptType foxit.pdf.RMSSecurityCallback.GetSecurityType | ( |  | ) |
| inline virtual

Get the encryption type of security callback.

Note
  User should not override this function, otherwise there will be unexpected behavior.

Returns
  The encryption type. It would always be foxit.pdf.PDFDoc.EncryptType.e_EncryptRMS .

Reimplemented from foxit.pdf.CustomSecurityCallback.